%define module_name	kqemu
%define module_release	alt2.132620.6
%define module_version	0.7.1.1

%define kversion	2.6.12
%define krelease	alt6
%define flavour		std26-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	KQEMU Acceleration module
Name: 		kernel-modules-%module_name-%flavour
Version: 	%module_version
Release: 	%module_release
License:	Distributable
Group:		System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
BuildRequires:	kernel-build-tools >= 0.7
BuildRequires:	kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:	kernel-source-%module_name-%module_version

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86 x86_64

%description
The QEMU Accelerator Module increases the speed of QEMU
when a PC is emulated on a PC. It runs most of the target application code
directly on the host processor to achieve near native performance.
It is very useful when you want to run another Operating System
(for example Windows) on a Linux desktop.

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%__subst 's,-include ../config-host.mak,,' Makefile

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build CONFIG_KBUILD26=1 KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour

%install
%__install -m644 -D kqemu.ko %buildroot/%module_dir/kqemu.ko

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Thu Aug 04 2005 Anton D. Kachalov <mouse@altlinux.org> 0.7.1.1-alt2.132620.6
- 0.7.1
- added x86_64 support

* Tue Jul 26 2005 Sergey Vlasov <vsu@altlinux.ru> 0.6.2-alt2.132620.6
- fixed packager (workaround for stupid sisyphus_check)

* Thu Jul 14 2005 Anton D. Kachalov <mouse@altlinux.org> 0.6.2-alt1.132620.6
- added to kernel-cvs

* Fri May 20 2005 Kachalov Anton <mouse@altlinux.ru> 0.6.2-alt1
- first build
